FROM node:16.20.1-bullseye as build
WORKDIR /app
COPY ./src/package.json ./src/yarn.lock ./
RUN yarn install

FROM node:16.20.1-bullseye
WORKDIR /app
RUN chown -R node:node .
USER node
COPY --from=build --chown=node:node /app/node_modules ./src/node_modules
COPY --chown=node:node ./lib/openapi.yaml ./lib/openapi.yaml
COPY --chown=node:node ./src ./src


ENV NODE_ENV=production
WORKDIR /app/src
CMD [ "yarn", "dev-server" ]
